package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Company;
import com.ruoyi.web.work.domain.dto.LockDto;
import com.ruoyi.web.work.domain.vo.CompanyListVo;

import java.rmi.ServerException;
import java.util.List;

/**
 * @author lsw
 * @date 2024-04-16
 */
public interface ICompanyService extends IService<Company> {

    Company selectCompanyById(Long id);

    List<Company> selectList(Company company);

    List<CompanyListVo> selectCompanyList(Company company);

    AjaxResult add(Company company) throws ServerException;

    AjaxResult edit(Company company) throws ServerException;

    AjaxResult lock(LockDto dto) throws ServerException;

    AjaxResult remove(Long id) throws ServerException;


}
